darcs-2.16.5: a distributed, interactive, smart revision control system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Darcs.Repository.Match

Synopsis

- getRecordedUpToMatch :: (ApplyMonad (ApplyState p) DefaultIO, IsRepoType rt, RepoPatch p, ApplyState p ~ Tree) => Repository rt p wR wU wT -> PatchSetMatch -> IO ()
- getOnePatchset :: (IsRepoType rt, RepoPatch p) => Repository rt p wR wU wR -> PatchSetMatch -> IO (SealedPatchSet rt p Origin)

# Documentation

getRecordedUpToMatch :: (ApplyMonad (ApplyState p) DefaultIO, IsRepoType rt, RepoPatch p, ApplyState p ~ Tree) => Repository rt p wR wU wT -> PatchSetMatch -> IO () #

Create a new pristine and working tree in the current working directory, corresponding to the state of the `PatchSet` returned by `getOnePatchSet` for the same `PatchSetMatch`.

getOnePatchset :: (IsRepoType rt, RepoPatch p) => Repository rt p wR wU wR -> PatchSetMatch -> IO (SealedPatchSet rt p Origin) #